Extending Qt Creator Manual | Id

Extending Qt Creator Manual 4.5.2

# Obsolete Members for Id

The following members of class Id are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(obsolete)` Id | fromName(const QByteArray &name)
`(obsolete)` Id | fromString(const QString &name)

## Member Function Documentation

### `[static]` Id Id::fromName(const QByteArray &name)

Creates an id from a string representation.

This should not be used to handle a persistent version of the Id, use `fromSetting()` instead.

See also toString() and fromSetting().

### `[static]` Id Id::fromString(const QString &name)

Creates an id from a string representation.

This should not be used to handle a persistent version of the Id, use `fromSetting()` instead.

See also toString() and fromSetting().